/Users/bernard/b20/bsoft/include/rwDX.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwDX.h - Header file for reading and writing OpenDX files.

SYNOPSIS

#include 'rwimg.h'

  Functions
int readDX (Bimage *p, int readdata)
Reading an OpenDX image format.
int writeDX (Bimage *p)
Writing a DX image format.

Detailed Description

Header file for reading and writing OpenDX files.

Author:
    Bernard Heymann

Date:
    Created: 20150319

    Modified: 20150319

    Format: OpenDX image file format

Definition in file rwDX.h.

Function Documentation

  int readDX (Bimage * p, int readdata)

Reading an OpenDX image format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Comments

object 1 class gridpositions counts nx ny nz origin xmin ymin zmin delta hx 0.0 0.0 delta 0.0 hy 0.0 delta 0.0 0.0 hz object 2 class gridconnections counts nx ny nz object 3 class array type double rank 0 times n u(0,0,0) u(0,0,1) u(0,0,2) ... u(0,0,nz-3) u(0,0,nz-2) u(0,0,nz-1) u(0,1,0) u(0,1,1) u(0,1,2) ... u(0,1,nz-3) u(0,1,nz-2) u(0,1,nz-1) ... u(0,ny-3,nz-3) u(0,ny-2,nz-2) u(0,ny-1,nz-1) u(1,0,0) u(1,0,1) u(1,0,2) ... attribute 'dep' string 'positions' object 'regular positions regular connections' class field component 'positions' value 1 component 'connections' value 2 component 'data' value 3

Definition at line 44 of file rwDX.cpp.

  int writeDX (Bimage * p)

Writing a DX image format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 112 of file rwDX.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.